package My::Schema::Result::UserProfile;
use strict;
use warnings;
use base 'DBIx::Class::Core';

__PACKAGE__->table('user_profile');
__PACKAGE__->add_columns(
    id => {
        data_type   => 'INTEGER',
        is_nullable => 0,
    },

    full_name => {
        data_type     => 'VARCHAR',
        size          => 255,
        is_nullable   => 1,
        default_value => '',
    },

    bio => {
        data_type     => 'VARCHAR',
        size          => 255,
        is_nullable   => 1,
        default_value => '',
    },
);

__PACKAGE__->set_primary_key('id');

1;

