#!/usr/bin/env perl

use utf8;
use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../lib";

use My::Schema;

my $schema = My::Schema->connect(
    "dbi:SQLite:$FindBin::Bin/../database.db", '', '', {
        sqlite_unicode => 1,
    }
);

# ユーザーを一人取得
my $user = $schema->resultset('User')->search->first;

# そのユーザーにつぶやきをついか
$user->add_to_tweets({ body => 'tweets ' . time });


# ユーザーのつぶやき一覧を日付でソートして取得
my $rs = $user->tweets({}, { order_by => 'created_date' });
while (my $tweet = $rs->next) {
    print $tweet->created_date, ': ', $tweet->body, "\n";
}

